Subject: RE: [Geopriv] Consensus call on <provided-by> [Was] a proposal fo r <provided-by>

From: "Abbott, Nadine B." <[email-masked]>
Date: Wed, 7 Apr 2004 10:25:13 -0400

I thought I sent this in on Monday, but it isn't on the mail thread, so I
guess I didn't.

At Henning Schulzrinne's suggestion, the NENA VoIP Location WG modified the
XML schema that was provided previously to substitute a tel.uri format for
the 24x7 contact number information.  If the schema is just inserted into
that of the geopriv XML schema, then its name provided here may be
irrelevant.  However, it has been modified to a name  more closely aligned
with its function (i.e., identification of the location data provider). 

The revised schema follows:

<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSPY v5 rel. 3 U (http://www.xmlspy.com) by Patricia
Bluhm (HBF Group) --> 
<xs:schema
targetNamespace="urn:ietf:params:xml:ns:pidf:geopriv10:dataProvider"
xmlns:tns="urn:ietf:params:xml:ns:pidf:geopriv10:dataProvider"
xmlns:xs="http://www.w3.org/2001/XMLSchema"
elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:complexType name="DataProviderIDType">
		<xs:annotation>
			<xs:documentation>NENA registered Company ID for
Service Provider supplying location information</xs:documentation>
		</xs:annotation>
		<xs:all>
			<xs:element name="DataProviderID"
type="tns:NENACompanyIDType" minOccurs="0"/>
			<xs:element name="TelURI" type="tns:TelURI_24x7Type"
minOccurs="0"/>
			<xs:element name="URL" type="xs:anyURI"
minOccurs="0"/>
		</xs:all>
	</xs:complexType>
	<xs:simpleType name="NENACompanyIDType">
		<xs:annotation>
			<xs:documentation>NENA registered Company
ID.</xs:documentation>
		</xs:annotation>
		<xs:restriction base="xs:string">
			<xs:maxLength value="5"/>
		</xs:restriction>
	</xs:simpleType>
	<xs:simpleType name="TelURI_24x7Type">
		<xs:annotation>
			<xs:documentation>24x7 Tel URI for the caller's
[location data] service provider.  To be used for contacting service
provider to resolve problems with location data.  Possible values TN number,
enumerated values when not available.</xs:documentation>
		</xs:annotation>
		<xs:union memberTypes="xs:anyURI">
			<xs:simpleType>
				<xs:restriction base="xs:string">
					<xs:maxLength value="10"/>
					<xs:enumeration value="NOT FOUND"/>
					<xs:enumeration value="UNAVAILABL"/>
				</xs:restriction>
			</xs:simpleType>
		</xs:union>
	</xs:simpleType>
</xs:schema>

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Andrew Newton
Sent: Friday, April 02, 2004 5:49 PM
To: Abbott, Nadine B.
Cc: [email-masked]
Subject: Re: [Geopriv] a proposal for <provided-by>

On Apr 2, 2004, at 5:16 PM, Abbott, Nadine B. wrote:

> Andy,
> Seems reasonable.
> Can you direct me to instructions for NENA to request inclusion in the 
> IANA registry?

Jon will have to set that up.  But he's got a lot of IANA work to do. :) My
proposal is that the PIDF-LO spec would have the registration for 
NENA in it.

> Is there something new that would have to be created for this 
> particular element?

The schema you provided seems to work.

-andy

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv